
From: Geert Uytterhoeven <geert@linux-m68k.org>

IEEE1394 core and SBP-2 unconditionally depend on the PCI DMA API, so mark
them broken if !PCI

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ieee1394/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/ieee1394/Kconfig~depends-on-pci-dma-api-ieee1394-core-and-sbp-2 drivers/ieee1394/Kconfig
--- 25/drivers/ieee1394/Kconfig~depends-on-pci-dma-api-ieee1394-core-and-sbp-2	2004-07-26 17:27:14.917465760 -0700
+++ 25-akpm/drivers/ieee1394/Kconfig	2004-07-26 17:27:14.921465152 -0700
@@ -4,6 +4,7 @@ menu "IEEE 1394 (FireWire) support"
 
 config IEEE1394
 	tristate "IEEE 1394 (FireWire) support"
+	depends on PCI || BROKEN
 	help
 	  IEEE 1394 describes a high performance serial bus, which is also
 	  known as FireWire(tm) or i.Link(tm) and is used for connecting all
@@ -113,7 +114,7 @@ config IEEE1394_VIDEO1394
 
 config IEEE1394_SBP2
 	tristate "SBP-2 support (Harddisks etc.)"
-	depends on IEEE1394 && SCSI
+	depends on IEEE1394 && SCSI && (PCI || BROKEN)
 	help
 	  This option enables you to use SBP-2 devices connected to your IEEE
 	  1394 bus.  SBP-2 devices include harddrives and DVD devices.
_
